Jump to content
  • 0
Sign in to follow this  
GGA

Pas de PHP 7 en vue

Question

6 answers to this question

Recommended Posts

  • 0

Bonjour,

A vrai dire, je crois que le code PHP, ou du moins en partie, est intégré au firmware... Si ça ne suffit pas, Entware 3x 0.99 pour ARMV5 devrait vous apporter le nécessaire:

Informations: https://github.com/Entware-for-kernel-3 ... ng-3x/wiki

Liens vers les deux QPLG:

Standard installer (QPKG) - http://entware-3x.zyxmon.org/binaries/o ... 99std.qpkg
Alternative installer (QPKG) - http://entware-3x.zyxmon.org/binaries/o ... 99alt.qpkg

Liste des ipk: http://entware-3x.zyxmon.org/binaries/a ... kages.html

Et surtout la référence une fois enregistré sur le forum Anglais: https://forum.qnap.com/viewtopic.php?f=351&t=124894

Bonne journée.

Cordialement.

FredP

PS: gare à Malware remover... Ne m'a pas posé de problème avec l'actuelle version.

Share this post


Link to post
Share on other sites
  • 0

Bonjour,

J'ai un package installé PHP 5.5.25 il ne semble pas natif.

Mais c'est juste mon avis.

Cordialement.

GGA.

Share this post


Link to post
Share on other sites
  • 0

Bonjour,

Je comprends votre doute. Si vous pensez à celui du NAS, il est sans doute allégé!

Concernant les ipk d'Entware, il s'agit de portages et il vaut parfois mieux utiliser ces paquets d'Entware que les exécutables de Qnap qui ont parfois une certaine obsolescence ou de sérieuses lacunes...

Je cherche toujours à utiliser les composants intégrés au système pour mes travaux pour ne pas alourdir mes installations et conserver une certaine portabilité dans le temps.

Pourtant, je dois avouer que sur un certain nombre de scripts que j'ai dû créer pour de simples commandes ou des serveurs un peu plus lourds, j'ai dû utiliser ces ipk pour des exécutables déjà présents sur le NAS: sed, stat, que sais-je encore?

Dans votre cas, je vous signale qu'il existe l'ipk PHP 7 et moult modules sont disponibles dans la page : http://entware-3x.zyxmon.org/binaries/armv5/Packages.html

Il faut parfois savoir se contenter de ce dont on dispose à un instant t pour démarrer un projet et je ne pense pas qu'Entware 3 soit un mauvais départ. Le travail effectué autour de ces ipk est plutôt bon et rentre dans les cordes des Linux normaux pas trop allégés..

Maintenant, si vous désirez attendre que soit intégré PHP7 et plus largement...

Cordialement.

FredP

 

 

 

Share this post


Link to post
Share on other sites
  • 0
Le ‎18‎/‎07‎/‎2017 à 11:09, FredP a dit :

Bonjour,

Je comprends votre doute. Si vous pensez à celui du NAS, il est sans doute allégé!

Concernant les ipk d'Entware, il s'agit de portages et il vaut parfois mieux utiliser ces paquets d'Entware que les exécutables de Qnap qui ont parfois une certaine obsolescence ou de sérieuses lacunes...

Je cherche toujours à utiliser les composants intégrés au système pour mes travaux pour ne pas alourdir mes installations et conserver une certaine portabilité dans le temps.

Pourtant, je dois avouer que sur un certain nombre de scripts que j'ai dû créer pour de simples commandes ou des serveurs un peu plus lourds, j'ai dû utiliser ces ipk pour des exécutables déjà présents sur le NAS: sed, stat, que sais-je encore?

Dans votre cas, je vous signale qu'il existe l'ipk PHP 7 et moult modules sont disponibles dans la page : http://entware-3x.zyxmon.org/binaries/armv5/Packages.html

Il faut parfois savoir se contenter de ce dont on dispose à un instant t pour démarrer un projet et je ne pense pas qu'Entware 3 soit un mauvais départ. Le travail effectué autour de ces ipk est plutôt bon et rentre dans les cordes des Linux normaux pas trop allégés..

Maintenant, si vous désirez attendre que soit intégré PHP7 et plus largement...

Cordialement.

FredP

 

 

 

Merci pour votre réponse et j'en prends bonne note.

Cordialement.

GGA.

Share this post


Link to post
Share on other sites
  • 0

Bonjour,

 Je suis possesseur d'un modèle TS-559 pro+ . 

J'aimerai pouvoir profiter de mon nas afin de pouvoir héberger le site web de notre association. Pour le moment il est développé en joomla (3.8) et mon template requiert la version 7 de PHP. 

J'aimerai savoir si des versions vont sortir pour notre modèle. 

 

Merci d'avance

 

Share this post


Link to post
Share on other sites
  • 0

Bonsoir, je déterre le sujet

L'intégration de la branche 7 du php est prévue pour quand ?

Bien cordialement

Régis

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×